This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 640082 - product(name) disallows digits despite Publican Users Guide
product(name) disallows digits despite Publican Users Guide
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 14:20 EDT by Douglas Silas
Modified: 2010-11-23 23:17 EST (History)
5 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Silas 2010-10-04 14:20:42 EDT
Description of problem: I have a product with a digit in it: "v7". Publican does not allow numbers in the product, contrary to the entry on "product" in the publican.cfg section of the Publican Users Guide:

product
    specifies the product to which this documentation applies. If set, this value overrides the content of the <productname> tag in the Book_Info.xml file when you package a document. This value must include only contain upper- and lower-case un-accented letters, digits, and the underscore and space characters (‘a–z’, ‘A–Z’, ‘0’–‘9’, and ‘_’ and ‘ ’

http://jfearn.fedorapeople.org/en-US/Publican/2.0/html-single/Users_Guide/#sect-Users_Guide-Files_in_the_book_directory-The_publican.cfg_file

Version-Release number of selected component (if applicable): 2.1


Steps to Reproduce:
1. put <productname>v7</productname> in Book_Info.xml or Article_Info.xml as the case may be, or "product: v7" in publican.cfg.
2. publican build html-single
3. receive invalid format for product error.
  
Actual results:

Invalid format for product. Value (v
Comment 1 Jeff Fearn 2010-10-04 19:02:17 EDT
Made constraints for docname and productname match http://fedoraproject.org/wiki/PackageNamingGuidelines#Common_Character_Set_for_Package_Naming

Fixed in build: 2.1-0%{?dist}.t146
Comment 2 Fedora Update System 2010-10-06 01:50:15 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 3 Fedora Update System 2010-10-06 01:51:29 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 4 Fedora Update System 2010-10-06 01:51:30 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 5 Fedora Update System 2010-10-08 16:41:39 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.